'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getConfiguration = exports.generateMarkdownCommands = exports.generateMarkdownActions = exports.generateMarkdownHooks = exports.removeActions = exports.registerActions = exports.registerAction = exports.registerHooks = exports.runHook = exports.defaultPrompt = exports.fileExists = exports.getAbsolutePath = exports.executeSync = exports.execute = exports.validate = exports.initCli = exports.runCli = exports.generateTextDocumentation = exports.generateMarkdownDocumentation = exports.appendSettings = exports.getSettings = exports.appendConfig = exports.getConfig = exports.merge = exports.roc = undefined;

var _configuration = require('./configuration');

Object.defineProperty(exports, 'merge', {
    enumerable: true,
    get: function get() {
        return _configuration.merge;
    }
});
Object.defineProperty(exports, 'getConfig', {
    enumerable: true,
    get: function get() {
        return _configuration.getConfig;
    }
});
Object.defineProperty(exports, 'appendConfig', {
    enumerable: true,
    get: function get() {
        return _configuration.appendConfig;
    }
});
Object.defineProperty(exports, 'getSettings', {
    enumerable: true,
    get: function get() {
        return _configuration.getSettings;
    }
});
Object.defineProperty(exports, 'appendSettings', {
    enumerable: true,
    get: function get() {
        return _configuration.appendSettings;
    }
});

var _documentation = require('./documentation');

Object.defineProperty(exports, 'generateMarkdownDocumentation', {
    enumerable: true,
    get: function get() {
        return _documentation.generateMarkdownDocumentation;
    }
});
Object.defineProperty(exports, 'generateTextDocumentation', {
    enumerable: true,
    get: function get() {
        return _documentation.generateTextDocumentation;
    }
});

var _cli = require('./cli');

Object.defineProperty(exports, 'runCli', {
    enumerable: true,
    get: function get() {
        return _cli.runCli;
    }
});
Object.defineProperty(exports, 'initCli', {
    enumerable: true,
    get: function get() {
        return _cli.initCli;
    }
});

var _validation = require('./validation');

Object.defineProperty(exports, 'validate', {
    enumerable: true,
    get: function get() {
        return _validation.validate;
    }
});

var _execute = require('./cli/execute');

Object.defineProperty(exports, 'execute', {
    enumerable: true,
    get: function get() {
        return _execute.execute;
    }
});
Object.defineProperty(exports, 'executeSync', {
    enumerable: true,
    get: function get() {
        return _execute.executeSync;
    }
});

var _helpers = require('./helpers');

Object.defineProperty(exports, 'getAbsolutePath', {
    enumerable: true,
    get: function get() {
        return _helpers.getAbsolutePath;
    }
});
Object.defineProperty(exports, 'fileExists', {
    enumerable: true,
    get: function get() {
        return _helpers.fileExists;
    }
});

var _defaultPrompt = require('./commands/helpers/default-prompt');

Object.defineProperty(exports, 'defaultPrompt', {
    enumerable: true,
    get: function get() {
        return _defaultPrompt.defaultPrompt;
    }
});

var _hooks = require('./hooks');

Object.defineProperty(exports, 'runHook', {
    enumerable: true,
    get: function get() {
        return _hooks.runHook;
    }
});
Object.defineProperty(exports, 'registerHooks', {
    enumerable: true,
    get: function get() {
        return _hooks.registerHooks;
    }
});

var _actions = require('./hooks/actions');

Object.defineProperty(exports, 'registerAction', {
    enumerable: true,
    get: function get() {
        return _actions.registerAction;
    }
});
Object.defineProperty(exports, 'registerActions', {
    enumerable: true,
    get: function get() {
        return _actions.registerActions;
    }
});
Object.defineProperty(exports, 'removeActions', {
    enumerable: true,
    get: function get() {
        return _actions.removeActions;
    }
});

var _roc2 = require('./roc');

var _roc3 = _interopRequireDefault(_roc2);

var _generateMarkdownHooks2 = require('./hooks/documentation/generate-markdown-hooks');

var _generateMarkdownHooks3 = _interopRequireDefault(_generateMarkdownHooks2);

var _generateMarkdownActions2 = require('./hooks/documentation/generate-markdown-actions');

var _generateMarkdownActions3 = _interopRequireDefault(_generateMarkdownActions2);

var _markdownCommands = require('./commands/markdown-commands');

var _markdownCommands2 = _interopRequireDefault(_markdownCommands);

var _getConfiguration2 = require('./cli/get-configuration');

var _getConfiguration3 = _interopRequireDefault(_getConfiguration2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.roc = _roc3.default;
exports.generateMarkdownHooks = _generateMarkdownHooks3.default;
exports.generateMarkdownActions = _generateMarkdownActions3.default;
exports.generateMarkdownCommands = _markdownCommands2.default;
exports.getConfiguration = _getConfiguration3.default;
//# sourceMappingURL=index.js.map